program NUTS;

{$APPTYPE CONSOLE}

 var q,d,n,m,k,a:longint;
 begin
 assign( input,'NUTS.CPP');
 reset(input);
 read(q);
 for d:=1 to q do
   begin
   read (n,m,k);
   a:=n*m;
   if a<k then write('YES')
   else write('NO');
end;
end.
